%define real_name	CGI.pm
%define perl_vendorlib %(eval `%{__perl} '-V:installvendorlib'`; echo $installvendorlib)

Name:           perl-CGI
Version:        3.05
Release:        1
Epoch:		    2
Summary:        Simple Common Gateway Interface class for Perl.
License:        GPL or Artistic
Group:          Development/Perl
Source:         http://stein.cshl.org/WWW/software/CGI/CGI.pm-%{version}.tar.gz
URL:            http://stein.cshl.org/WWW/software/CGI
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       perl >= 0:5.004
BuildRequires:  perl

%description
This perl library uses perl5 objects to make it easy to create
Web fill-out forms and parse their contents.  This package
defines CGI objects, entities that contain the values of the
current query string and other state variables.  Using a CGI
object's methods, you can examine keywords and parameters
passed to your script, and create forms whose initial values
are taken from the current query (thereby preserving state
information).

%package Fast
Group:		Development/Perl
Summary: 	CGI Interface for Fast CGI
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Fast
CGI::Fast is a subclass of the CGI object created by CGI.pm. It is
specialized to work well with the Open Market FastCGI standard, which
greatly speeds up CGI scripts by turning them into persistently running
server processes.  Scripts that perform time-consuming initialization
processes, such as loading large modules or opening persistent database
connections, will see large performance improvements.

%prep
%setup -q -n %{real_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make
%{__make} test

%install
%{__rm} -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{perl_vendorlib}
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
find $RPM_BUILD_ROOT%{_prefix} \( -name perllocal.pod -or -name .packlist \) -exec %{__rm} -f {} \;

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README *.html examples
%{perl_vendorlib}/CGI
%exclude %{perl_vendorlib}/CGI/Fast.pm
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*
%exclude %{_mandir}/man3/CGI::Fast.3pm.*

%files Fast
%defattr(-,root,root)
%{perl_vendorlib}/CGI/Fast.pm
%{_mandir}/man3/CGI::Fast.3pm.*

%changelog
* Thu Jan 20 2005 Aleksey Nogin <rpm@nogin.org> 3.05-1
- Upgraded to 3.05
- Made Red Hat compatible.

* Fri Feb 27 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.00-2mdk
- fixed perl-CGI-Fast dependency problem

